import { useState, useEffect } from "react";
import "../../../components/style/colorsComponents.scss";
import "../../../components/style/chosecolor.scss";
import PalletColorOutline from "../../image/PalletColorOutline.svg";
import PalletColorbold from "../../image/PalletColorBold.svg";
// import Chosecolor from "./Colors/chosecolor";
import {
  ButtonDropdown,
  DropdownToggle,
  DropdownMenu,
  DropdownItem,
} from "reactstrap";

const Colors = (props) => {
  const { setcolor, color, readyColors } = props;
  const [localColorControl, localColorControlSetter] = useState(true);

  const [dropdownOpen, setOpen] = useState(false);
  const toggle = () => setOpen(!dropdownOpen);
  const [isChecked, setIsChecked] = useState(false);
  // const idofelement = readyColors.map((item) => item.id);
  const colorMoodHandler = () => {
    setIsChecked(!isChecked);
    if (Number(localStorage.getItem("colorId")) > 3) {
      setcolor(Number(localStorage.getItem("colorId")) - 3);
      localStorage.setItem(
        "colorId",
        Number(localStorage.getItem("colorId")) - 3
      );
    } else {
      setcolor(Number(localStorage.getItem("colorId")) + 3);
      localStorage.setItem(
        "colorId",
        Number(localStorage.getItem("colorId")) + 3
      );
    }
  };

  const changeColorHandler = (id) => {
    localStorage.setItem("colorId", id);
    setcolor(id);
  };

  useEffect(() => {
    if (localStorage.getItem("colorId") !== color && localColorControl) {
      localStorage.setItem("colorId", 1);
      localColorControlSetter(false);
    }
  });

  const darkMood = readyColors.slice(0, 3);

  const lightMood = readyColors.slice(3);

  return (
    <>
      <label class="switch">
        <input type="checkbox" onChange={colorMoodHandler} />
        <span class="slider round"></span>
      </label>
      <ButtonDropdown isOpen={dropdownOpen} toggle={toggle}>
        <DropdownToggle>
          <div>
            <img
              src={dropdownOpen ? PalletColorbold : PalletColorOutline}
              className="palette-icon"
              alt="icon"
            />
          </div>
        </DropdownToggle>
        <DropdownMenu>
          {isChecked ? (
            <>
              {darkMood.map((item) => (
                <DropdownItem>
                  <button
                    onClick={() => changeColorHandler(item.id)}
                    id="red-btn-d"
                    style={{ backgroundColor: item.bgColor, color: item.color }}
                    className={"btn-color"}
                  >
                    الف
                  </button>
                </DropdownItem>
              ))}
            </>
          ) : (
            <>
              {lightMood.map((item) => (
                <DropdownItem>
                  <button
                    onClick={() => changeColorHandler(item.id)}
                    id="red-btn-d"
                    style={{ backgroundColor: item.bgColor, color: item.color }}
                    className={"btn-color"}
                  >
                    الف
                  </button>
                </DropdownItem>
              ))}
            </>
          )}
        </DropdownMenu>
      </ButtonDropdown>
    </>
  );
};

export default Colors;
