import styled from "styled-components";
// icons
import { PrevIcon, NextIcon } from "lib/svg";
// lib
import * as styles from "lib/styles/styles";

const MoveBtn = ({ type, onClick }: Props) => {
  const Icon = type === "PREV" ? NextIcon : PrevIcon;

  const msg = type === "PREV" ? "이전 페이지" : "다음 페이지";

  return (
    <Container onClick={onClick} title={msg}>
      <Content>
        {window.innerWidth > 768 ? <Icon /> : <Icon style={{ opacity: "0" }} />}
      </Content>
    </Container>
  );
};

const Container = styled.button`
  min-width: 160px;
  height: 100%;
  display: flex;
  align-items: center;
  padding-top: 5px;
  justify-content: center;
  cursor: pointer;
  outline: none;

  &:focus,
  &:hover {
    filter: invert(40%) sepia(85%) saturate(1256%) hue-rotate(210deg)
      brightness(113%) contrast(101%);
  }
`;

const contentM = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.1s ${styles.transition};
`;

const Content = styled.div`
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.1s ${styles.transition};

  & > svg {
    width: 18px;
    height: 18px;
  }
`;

interface Props {
  type: "PREV" | "NEXT";
  onClick: () => void;
}

export default MoveBtn;
