import styled from "styled-components";
// lib
import * as styles from "lib/styles/styles";
import palette from "lib/styles/palette";

const ControlBtn = ({ src , onClick }: Props) => {
  return (
    <>
      <Img src='' onClick={() => onClick()} />
    </>
  );
};

const Img = styled.img`
  height: 44px;
  cursor: pointer;
`;

const Btn = styled.button`
  height: 100%;
  padding: 0 16px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.1s ${styles.transition};
  outline: none;

  &:focus,
  &:hover {
    color: ${palette.white};
  }

  &:first-child {
    margin-left: 8px;
  }
`;

interface Props {
  src: String;
  // massege: String;
  onClick: (value?: boolean) => void;
}

export default ControlBtn;
