import styled from 'styled-components'
// lib
import * as styles from 'lib/styles/styles'
// import palette from 'lib/styles/palette'
import { mediaQuery } from 'lib/styles/media'

const Logo = () => {
	return (
		<Wrapper href="#" target="__blank__">
			<Img src="/react-epub-viewer/images/logo.png" alt="Logo" />
		</Wrapper>
	);
}

const Wrapper = styled.a`
	display: flex;
	align-items: center;
	justify-content: center;
	outline: none;
	marginRight: 10px;
	background-color: #009AA8;
	transition: .2s ${styles.transition};
	border-radius: 8px;
	padding: 4px 8px;
	cursor: pointer;

	${mediaQuery(700)} {
		display: none;
	}
`;

const Img = styled.img`
	height: 30px;
	cursor: pointer;
`;

export default Logo