// components
// import { useState } from "react";
import styled from "styled-components";
import Wrapper from "components/header/Wrapper";
import Layout, { AutoLayout } from "components/header/Layout";
import Logo from "components/header/Logo";
import Item from "components/footer/Item";
// import BookInfo from "components/nav/BookInfo";
// import { Collapse, Button, CardBody, Card } from "reactstrap";

const Header = ({
  isOpen,
  setIsOpen,
  onNavToggle,
  // onOptionToggle,
  onLearningToggle,
  title,
  nameBook,
}: Props) => {
  return (
    <>
      <Wrapper>
        <Layout>
          <AutoLayout style={{ backgroundColor: "#009AA8" }}>
            <nav style={{ display: "flex", marginLeft: "16px" }}>
              <nav
                onClick={() => setIsOpen(!isOpen)}
                style={{ display: "flex" }}
                id="toggler"
              >
                <Img src="/react-epub-viewer/images/Setting.svg" alt="Logo" />
              </nav>
              <Img
                src="/react-epub-viewer/images/Edit.svg"
                alt="Logo"
                onClick={onLearningToggle as any}
              />
            </nav>
            <nav
              style={{
                display: "flex",
                marginRight: "16px",
                alignItems: "center",
              }}
            >
              <nav
                style={
                  window.innerWidth < 768
                    ? {
                        width: "150px",
                        textOverflow: "ellipsis",
                        direction: "rtl",
                        justifyContent: "flex-start !important",
                      }
                    : { border: "none" }
                }
              >
                <Item text={title as any} />
              </nav>
              <span style={{ color: "#fff", marginRight: "10px" }}>
                {title ? "|" : ""}
              </span>
              {/* <BookInfo/> */}
              <div>
                <p style={{ margin: "0", color: "#fff", width: "85px" }}>
                  {nameBook}
                </p>
              </div>
              <Logo />
              <Img
                src="/react-epub-viewer/images/menu.svg"
                onClick={onNavToggle as any}
                alt="Logo"
              />
            </nav>
            {/* <ControlBtn massege="فهرست" onClick={onNavToggle} /> */}
            {/* <ControlBtn massege="تنظیمات" onClick={onOptionToggle} />
            <ControlBtn massege="نشانه گذاری" onClick={onLearningToggle} /> */}
          </AutoLayout>
        </Layout>
      </Wrapper>
    </>
  );
};

// const ButtonB = styled.button`
//   display: flex;
//   margin-top: 15px;
//   border-radius: 5px;
//   border: solid 2px #fff;
//   padding: 2px 2rem;
//   color: #fff;
//   font-family: inherit;

//   &:hover {
//     background-color: #fff;
//     color: rgb(0, 154, 168);
//   }
// `;

const Img = styled.img`
  width: 25px;
`;
interface Props {
  title: String;
  nameBook: string;
  onNavToggle: (value?: boolean) => void;
  onOptionToggle: (value?: boolean) => void;
  onLearningToggle: (value?: boolean) => void;
  isOpen: any;
  setIsOpen: any;
  // setsettingicon: (value?: boolean) => void;
}

export default Header;
